import Cookies from 'js-cookie'

const TokenKey = 'token'
const PublicKey = 'public_key'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getPublicKey() {
  return window.localStorage.getItem(PublicKey)
}

export function setPublicKey(publicKey) {
  return window.localStorage.setItem(PublicKey, publicKey)
}

export function removePublicKey() {
  return window.localStorage.removeItem(PublicKey)
}

